Jump to content

Leaderboard

Popular Content

Showing content with the highest reputation on 12/21/2020 in all areas

  1. You're going to need qlset.lsp by Frank Whaley at Autodesk to modify QLEADER settings. Examples can be found: https://www.cadtutor.net/forum/topic/12508-qleader-lisp/ Many more examples if you search for qlset.lsp, this lisp has been around for a while.
    2 points
  2. Give this a try: (defun c:foo (/ el n p s) ;; http://www.lee-mac.com/random.html ;; Rand - Lee Mac ;; PRNG implementing a linear congruential generator with ;; parameters derived from the book 'Numerical Recipes' (defun lm:rand (/ a c m) (setq m 4294967296.0 a 1664525.0 c 1013904223.0 $xn (rem (+ c (* a (cond ($xn) ((getvar 'date)) ) ) ) m ) ) (/ $xn m) ) ;; Random in Range - Lee Mac ;; Returns a pseudo-random integral number in a given range (inclusive) (defun lm:randrange (a b) (+ (min a b) (fix (* (lm:rand) (1+ (abs (- a b))))))) (if (and (setq n (getdist "\nEnter height: ")) (setq s (ssget ":L" '((0 . "INSERT"))))) (foreach b (vl-remove-if 'listp (mapcar 'cadr (ssnamex s))) (setq p (cdr (assoc 10 (setq el (entget b))))) (entmod (append el (list (list 10 (car p) (cadr p) (lm:randrange 0 n))))) ) ) (princ) )
    1 point
  3. My first advice would be to take another think about that design, particularly about the weight to be carried, and the balance. Have you picked up a piece of scaffolding pole? If those are short lengths of standard steel scaffolding pole then you are looking at about 30 kg for the 5 poles shown alone, never mind the weight of the end fittings or your carrier itself. I wouldn't give much chance of that shoulder staying in it's joint for long, especially as the worker walks along and the load 'bounces' on each step. (Industrial injury compensation claims all round). As drawn it's also well out of balance. Sorry if that seems unhelpful, but you have to consider the safety of the intended user. It's no use designing a product that will injure the user.
    1 point
  4. You should re-format the dimension style. Go into the Fit page - Scale for dimension features, and divide the existing figure by 1000 to get all the arrows and text to reasonable size. To turn it into metres, go to the Primary Units page, and enter a Scale factor of 0.001
    1 point
  5. If you want my routines to work for you, you must set AUNITS = 0... If you want to convert single unit curves to blocks, you can use (c:curv2blk) if all are placed in WCS and they all define UCS=WCS (means they are planar), or (c:curv2blk-3d) if they are scattered in 3D no matter what UCS is active or if curve define UCS in 3D... My BLOCKIFY version (c:blockify) works with many curves, but all must belong to same UCS in 3D and they all are planar (define the same UCS in 3D)...
    1 point
  6. Old routine that's been reposted by others many times through the years. Wish there was a link to any code that came from Autodesk, probably some gems out there.
    1 point
×
×
  • Create New...